petsc-3.4.2 2013-07-02

# DMMeshSetCone

Set the points on the in-edges for this point in the Sieve DAG

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode DMMeshSetCone(DM dm, PetscInt p, const PetscInt cone[])

Not collective

### Input Parameters

| mesh | - The DMMesh
| p | - The Sieve point, which must lie in the chart set with DMMeshSetChart()
| cone | - An array of points which are on the in-edges for point p

### Output Parameter

### Note

This should be called after all calls to DMMeshSetConeSize() and DMMeshSetUp().

### See Also

DMMeshCreate(), DMMeshGetCone(), DMMeshSetChart(), DMMeshSetConeSize(), DMMeshSetUp()

Level:beginner
Location:src/dm/impls/mesh/mesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages